Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Path Parameters

id
string<uuid>
required

A UUID string identifying this Activity Target.

Body

Per-user daily activity target — powers the Daily Planner's KPI cards.

user
string<uuid>

User ID this target applies to

activity_type
enum<string>

Activity type this target applies to

  • call - Call
  • meeting - Meeting
  • email - Email
  • follow_up - Follow Up
  • site_visit - Site Visit
  • proposal - Proposal
Available options:
call,
meeting,
email,
follow_up,
site_visit,
proposal
daily_target
integer

Target count of this activity type per day

Required range: 0 <= x <= 2147483647

Response

200 - application/json

Per-user daily activity target — powers the Daily Planner's KPI cards.

id
string<uuid>
required
read-only
user
string<uuid>
required

User ID this target applies to

activity_type
enum<string>
required

Activity type this target applies to

  • call - Call
  • meeting - Meeting
  • email - Email
  • follow_up - Follow Up
  • site_visit - Site Visit
  • proposal - Proposal
Available options:
call,
meeting,
email,
follow_up,
site_visit,
proposal
daily_target
integer
required

Target count of this activity type per day

Required range: 0 <= x <= 2147483647